Loading...
Searching...
No Matches
BaseMaskIterator< NodeMask > Class Template Reference

Base class for the bit mask iterators. More...

`#include <openvdb/util/NodeMasks.h>`

Inheritance diagram for BaseMaskIterator< NodeMask >:

## Public Member Functions

| BaseMaskIterator ()
| BaseMaskIterator (const BaseMaskIterator &)=default
| BaseMaskIterator (Index32 pos, const NodeMask *parent)
bool | operator== (const BaseMaskIterator &iter) const
bool | operator!= (const BaseMaskIterator &iter) const
bool | operator< (const BaseMaskIterator &iter) const
BaseMaskIterator & | operator= (const BaseMaskIterator &iter)
Index32 | offset () const
Index32 | pos () const
bool | test () const
| operator bool () const

## Protected Attributes

Index32 | mPos
const NodeMask * | mParent

## Detailed Description

template<typename NodeMask>
class openvdb::v11_0::util::BaseMaskIterator< NodeMask >

Base class for the bit mask iterators.

## Constructor & Destructor Documentation

## BaseMaskIterator() [1/3]

template<typename NodeMask >

BaseMaskIterator | ( |  | ) |

inline

## BaseMaskIterator() [2/3]

template<typename NodeMask >

BaseMaskIterator | ( | const BaseMaskIterator< NodeMask > & |  | ) |

default

## BaseMaskIterator() [3/3]

template<typename NodeMask >

BaseMaskIterator | ( | Index32 | pos,
|  | const NodeMask * | parent
| ) |  |

inline

## Member Function Documentation

## offset()

template<typename NodeMask >

Index32 offset | ( |  | ) | const

inline

## operator bool()

template<typename NodeMask >

operator bool | ( |  | ) | const

inline

## operator!=()

template<typename NodeMask >

bool operator!= | ( | const BaseMaskIterator< NodeMask > & | iter | ) | const

inline

## operator<()

template<typename NodeMask >

bool operator< | ( | const BaseMaskIterator< NodeMask > & | iter | ) | const

inline

## operator=()

template<typename NodeMask >

BaseMaskIterator & operator= | ( | const BaseMaskIterator< NodeMask > & | iter | ) |

inline

## operator==()

template<typename NodeMask >

bool operator== | ( | const BaseMaskIterator< NodeMask > & | iter | ) | const

inline

## pos()

template<typename NodeMask >

Index32 pos | ( |  | ) | const

inline

## test()

template<typename NodeMask >

bool test | ( |  | ) | const

inline

## Member Data Documentation

## mParent

template<typename NodeMask >

const NodeMask* mParent

protected

## mPos

template<typename NodeMask >

Index32 mPos

protected